[Dica Rápida] Erro ao tentar construir rpm do apache 2.4.6

Estou estudando como fazer para criar os meus próprios pacotes rpm, e ao tentar executar a criação do rpm do Apache 2.4.6 recebi o seguinte erro:

rpmbuild -tb httpd.2.4.6.tar.bz2

Error at the end is:

Checking for unpackaged file(s): /usr/lib/rpm/check-files /root/rpmbuild/BUILDROOT/httpd-2.4.6-1.i386
error: Installed (but unpackaged) file(s) found:
   /usr/lib/httpd/modules/mod_proxy_wstunnel.so

Este erro já é conhecido pela comunidade, porém, a correção será publicada no próximo release conforme descrito no link: https://issues.apache.org/bugzilla/show_bug.cgi?id=55303#c1

Consegui fazer um workaround adicionando a linha abaixo no arquivo httpd.spec, publicada na revisão http://svn.apache.org/viewvc?view=revision&revision=r1506142

%{_libdir}/httpd/modules/mod_proxy_wstunnel.so

Para acessar o arquivo é necessário descompactar, editar e compactar novamente

Para descompactar utilize o comando

~# tar -xjfv httpd.2.4.6.tar.bz2

E para compactar

~# tar -cjfv httpd.2.4.6.tar.bz2

Depois é só executar o rpmbuild

~# rpmbuild -tb httpd.2.4.6.tar.bz2

Processo de criar não é só isso, tem muito coisa para fazer antes de chegar neste ponto que o erro ocorre, após “solucionar” esse problema, consegui criar o conjunto de rpm’s do apache, quanto estiver mais habituado com esse processo, escrevo um post sobre o assunto, é isso ai até próxima 🙂

Deixe um comentário

Your email address will not be published. Required fields are marked *

Esse site utiliza o Akismet para reduzir spam. Aprenda como seus dados de comentários são processados.